org.richfaces.component.html

## Class HtmlListShuttle

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.ajax4jsf.component.UIDataAdaptor
        - - org.richfaces.component.UIOrderingBaseComponent
          - - org.richfaces.component.UIListShuttle
            - - org.richfaces.component.html.HtmlListShuttle

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.NamingContainer, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

      public class HtmlListShuttle
      extends UIListShuttle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIListShuttle

      `UIListShuttle.SubmittedValue, UIListShuttle.ValueHolder`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIOrderingBaseComponent

      `UIOrderingBaseComponent.DataAdder, UIOrderingBaseComponent.ItemState, UIOrderingBaseComponent.UpdateModelCommand`

    - ### Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor

      `org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UIListShuttle

      `updateActiveItemCommand, updateSourceSelectionCommand, updateTargetSelectionCommand`

    - ### Fields inherited from class org.richfaces.component.UIOrderingBaseComponent

      `isColumn`

    - ### Fields inherited from class org.ajax4jsf.component.UIDataAdaptor

      `COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlListShuttle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBottomControlClass()`
    `java.lang.String` | `getBottomControlLabel()`
    `java.lang.String` | `getBottomTitle()`
    `java.lang.String` | `getColumnClasses()`
    `java.lang.String` | `getControlsType()`
    `java.lang.String` | `getControlsVerticalAlign()`
    `javax.faces.convert.Converter` | `getConverter()`
    `java.lang.String` | `getConverterMessage()`
    `java.lang.String` | `getCopyAllControlClass()`
    `java.lang.String` | `getCopyAllControlLabel()`
    `java.lang.String` | `getCopyAllTitle()`
    `java.lang.String` | `getCopyControlClass()`
    `java.lang.String` | `getCopyControlLabel()`
    `java.lang.String` | `getCopyTitle()`
    `java.lang.String` | `getDisabledControlClass()`
    `java.lang.String` | `getDownControlClass()`
    `java.lang.String` | `getDownControlLabel()`
    `java.lang.String` | `getDownTitle()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getListClass()`
    `java.lang.String` | `getListsHeight()`
    `java.lang.String` | `getOnblur()`
    `java.lang.String` | `getOnbottomclick()`
    `java.lang.String` | `getOnchange()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOncopyallclick()`
    `java.lang.String` | `getOncopyclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOndownclick()`
    `java.lang.String` | `getOnfocus()`
    `java.lang.String` | `getOnlistchange()`
    `java.lang.String` | `getOnlistchanged()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnorderchange()`
    `java.lang.String` | `getOnorderchanged()`
    `java.lang.String` | `getOnremoveallclick()`
    `java.lang.String` | `getOnremoveclick()`
    `java.lang.String` | `getOntopclick()`
    `java.lang.String` | `getOnupclick()`
    `java.lang.String` | `getRemoveAllControlClass()`
    `java.lang.String` | `getRemoveAllControlLabel()`
    `java.lang.String` | `getRemoveAllTitle()`
    `java.lang.String` | `getRemoveControlClass()`
    `java.lang.String` | `getRemoveControlLabel()`
    `java.lang.String` | `getRemoveTitle()`
    `java.lang.String` | `getRequiredMessage()`
    `java.lang.String` | `getRowClasses()`
    `java.lang.String` | `getSourceCaptionLabel()`
    `java.lang.String` | `getSourceListWidth()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTargetCaptionLabel()`
    `java.lang.String` | `getTargetListWidth()`
    `java.lang.String` | `getTopControlClass()`
    `java.lang.String` | `getTopControlLabel()`
    `java.lang.String` | `getTopTitle()`
    `java.lang.String` | `getUpControlClass()`
    `java.lang.String` | `getUpControlLabel()`
    `java.lang.String` | `getUpTitle()`
    `java.lang.String` | `getValidatorMessage()`
    `javax.faces.el.MethodBinding` | `getValueChangeListener()`
    `boolean` | `isFastMoveControlsVisible()`
    `boolean` | `isFastOrderControlsVisible()`
    `boolean` | `isImmediate()`
    `boolean` | `isMoveControlsVisible()`
    `boolean` | `isOrderControlsVisible()`
    `boolean` | `isRequired()`
    `boolean` | `isShowButtonLabels()`
    `boolean` | `isSourceRequired()`
    `boolean` | `isSwitchByClick()`
    `boolean` | `isSwitchByDblClick()`
    `boolean` | `isTargetRequired()`
    `boolean` | `isValid()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setBottomControlClass(java.lang.String _bottomControlClass)`
    `void` | `setBottomControlLabel(java.lang.String _bottomControlLabel)`
    `void` | `setBottomTitle(java.lang.String _bottomTitle)`
    `void` | `setColumnClasses(java.lang.String _columnClasses)`
    `void` | `setControlsType(java.lang.String _controlsType)`
    `void` | `setControlsVerticalAlign(java.lang.String _controlsVerticalAlign)`
    `void` | `setConverter(javax.faces.convert.Converter _converter)`
    `void` | `setConverterMessage(java.lang.String _converterMessage)`
    `void` | `setCopyAllControlClass(java.lang.String _copyAllControlClass)`
    `void` | `setCopyAllControlLabel(java.lang.String _copyAllControlLabel)`
    `void` | `setCopyAllTitle(java.lang.String _copyAllTitle)`
    `void` | `setCopyControlClass(java.lang.String _copyControlClass)`
    `void` | `setCopyControlLabel(java.lang.String _copyControlLabel)`
    `void` | `setCopyTitle(java.lang.String _copyTitle)`
    `void` | `setDisabledControlClass(java.lang.String _disabledControlClass)`
    `void` | `setDownControlClass(java.lang.String _downControlClass)`
    `void` | `setDownControlLabel(java.lang.String _downControlLabel)`
    `void` | `setDownTitle(java.lang.String _downTitle)`
    `void` | `setFastMoveControlsVisible(boolean _fastMoveControlsVisible)`
    `void` | `setFastOrderControlsVisible(boolean _fastOrderControlsVisible)`
    `void` | `setImmediate(boolean _immediate)`
    `void` | `setLabel(java.lang.String _label)`
    `void` | `setListClass(java.lang.String _listClass)`
    `void` | `setListsHeight(java.lang.String _listsHeight)`
    `void` | `setMoveControlsVisible(boolean _moveControlsVisible)`
    `void` | `setOnblur(java.lang.String _onblur)`
    `void` | `setOnbottomclick(java.lang.String _onbottomclick)`
    `void` | `setOnchange(java.lang.String _onchange)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOncopyallclick(java.lang.String _oncopyallclick)`
    `void` | `setOncopyclick(java.lang.String _oncopyclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOndownclick(java.lang.String _ondownclick)`
    `void` | `setOnfocus(java.lang.String _onfocus)`
    `void` | `setOnlistchange(java.lang.String _onlistchange)`
    `void` | `setOnlistchanged(java.lang.String _onlistchanged)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnorderchange(java.lang.String _onorderchange)`
    `void` | `setOnorderchanged(java.lang.String _onorderchanged)`
    `void` | `setOnremoveallclick(java.lang.String _onremoveallclick)`
    `void` | `setOnremoveclick(java.lang.String _onremoveclick)`
    `void` | `setOntopclick(java.lang.String _ontopclick)`
    `void` | `setOnupclick(java.lang.String _onupclick)`
    `void` | `setOrderControlsVisible(boolean _orderControlsVisible)`
    `void` | `setRemoveAllControlClass(java.lang.String _removeAllControlClass)`
    `void` | `setRemoveAllControlLabel(java.lang.String _removeAllControlLabel)`
    `void` | `setRemoveAllTitle(java.lang.String _removeAllTitle)`
    `void` | `setRemoveControlClass(java.lang.String _removeControlClass)`
    `void` | `setRemoveControlLabel(java.lang.String _removeControlLabel)`
    `void` | `setRemoveTitle(java.lang.String _removeTitle)`
    `void` | `setRequired(boolean _required)`
    `void` | `setRequiredMessage(java.lang.String _requiredMessage)`
    `void` | `setRowClasses(java.lang.String _rowClasses)`
    `void` | `setShowButtonLabels(boolean _showButtonLabels)`
    `void` | `setSourceCaptionLabel(java.lang.String _sourceCaptionLabel)`
    `void` | `setSourceListWidth(java.lang.String _sourceListWidth)`
    `void` | `setSourceRequired(boolean _sourceRequired)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setSwitchByClick(boolean _switchByClick)`
    `void` | `setSwitchByDblClick(boolean _switchByDblClick)`
    `void` | `setTargetCaptionLabel(java.lang.String _targetCaptionLabel)`
    `void` | `setTargetListWidth(java.lang.String _targetListWidth)`
    `void` | `setTargetRequired(boolean _targetRequired)`
    `void` | `setTopControlClass(java.lang.String _topControlClass)`
    `void` | `setTopControlLabel(java.lang.String _topControlLabel)`
    `void` | `setTopTitle(java.lang.String _topTitle)`
    `void` | `setUpControlClass(java.lang.String _upControlClass)`
    `void` | `setUpControlLabel(java.lang.String _upControlLabel)`
    `void` | `setUpTitle(java.lang.String _upTitle)`
    `void` | `setValid(boolean _valid)`
    `void` | `setValidatorMessage(java.lang.String _validatorMessage)`
    `void` | `setValueChangeListener(javax.faces.el.MethodBinding _valueChangeListener)`

    - ### Methods inherited from class org.richfaces.component.UIListShuttle

      `addValueChangeListener, createDataModel, getActiveItem, getItemState, getLocalValue, getSourceSelection, getSourceValue, getSubmittedValue, getTargetSelection, getTargetValue, getValueBinding, getValueChangeListeners, getValueExpression, processDecodes, removeValueChangeListener, resetDataModel, restoreIterationSubmittedState, setActiveItem, setSourceSelection, setSourceValue, setSubmittedStrings, setSubmittedValue, setTargetSelection, setTargetValue, setValue, updateModel, validate, validateValue`

    - ### Methods inherited from class org.richfaces.component.UIOrderingBaseComponent

      `addConversionErrorMessage, addValidator, columns, compareValues, createComponentState, createContainer, createDataModel, dataChildren, decode, executeValidate, fixedChildren, getConverterForValue, getValidator, getValidators, isEmpty, isLocalValueSet, isSuitableValue, processDecodes, processUpdates, processValidators, removeValidator, requiredInvalidate, setLocalValueSet, setValidator, updateModel`

    - ### Methods inherited from class org.ajax4jsf.component.UIDataAdaptor

      `addAjaxKeyEvent, addRequestKey, beforeRenderResponse, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invocableChildren, invokeOnComponent, isRowAvailable, iterate, keepSaved, processUpdates, processValidators, queueEvent, removeRequestKey, resetComponent, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, walk`

    - ### Methods inherited from class javax.faces.component.UIData

      `getDataModel, getFirst, getFooter, getHeader, getRows, getVar, setDataModel, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getValue`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlListShuttle

          public HtmlListShuttle()

  - ### Method Detail

    - #### getBottomControlClass

          public java.lang.String getBottomControlClass()

    - #### setBottomControlClass

          public void setBottomControlClass(java.lang.String _bottomControlClass)

    - #### getBottomControlLabel

          public java.lang.String getBottomControlLabel()

    - #### setBottomControlLabel

          public void setBottomControlLabel(java.lang.String _bottomControlLabel)

    - #### getBottomTitle

          public java.lang.String getBottomTitle()

    - #### setBottomTitle

          public void setBottomTitle(java.lang.String _bottomTitle)

    - #### getColumnClasses

          public java.lang.String getColumnClasses()

    - #### setColumnClasses

          public void setColumnClasses(java.lang.String _columnClasses)

    - #### getControlsType

          public java.lang.String getControlsType()

    - #### setControlsType

          public void setControlsType(java.lang.String _controlsType)

    - #### getControlsVerticalAlign

          public java.lang.String getControlsVerticalAlign()

      Specified by:
        `getControlsVerticalAlign` in class `UIListShuttle`

    - #### setControlsVerticalAlign

          public void setControlsVerticalAlign(java.lang.String _controlsVerticalAlign)

      Specified by:
        `setControlsVerticalAlign` in class `UIListShuttle`

    - #### getConverter

          public javax.faces.convert.Converter getConverter()

    - #### setConverter

          public void setConverter(javax.faces.convert.Converter _converter)

    - #### getConverterMessage

          public java.lang.String getConverterMessage()

    - #### setConverterMessage

          public void setConverterMessage(java.lang.String _converterMessage)

    - #### getCopyAllControlClass

          public java.lang.String getCopyAllControlClass()

    - #### setCopyAllControlClass

          public void setCopyAllControlClass(java.lang.String _copyAllControlClass)

    - #### getCopyAllControlLabel

          public java.lang.String getCopyAllControlLabel()

    - #### setCopyAllControlLabel

          public void setCopyAllControlLabel(java.lang.String _copyAllControlLabel)

    - #### getCopyAllTitle

          public java.lang.String getCopyAllTitle()

    - #### setCopyAllTitle

          public void setCopyAllTitle(java.lang.String _copyAllTitle)

    - #### getCopyControlClass

          public java.lang.String getCopyControlClass()

    - #### setCopyControlClass

          public void setCopyControlClass(java.lang.String _copyControlClass)

    - #### getCopyControlLabel

          public java.lang.String getCopyControlLabel()

    - #### setCopyControlLabel

          public void setCopyControlLabel(java.lang.String _copyControlLabel)

    - #### getCopyTitle

          public java.lang.String getCopyTitle()

    - #### setCopyTitle

          public void setCopyTitle(java.lang.String _copyTitle)

    - #### getDisabledControlClass

          public java.lang.String getDisabledControlClass()

    - #### setDisabledControlClass

          public void setDisabledControlClass(java.lang.String _disabledControlClass)

    - #### getDownControlClass

          public java.lang.String getDownControlClass()

    - #### setDownControlClass

          public void setDownControlClass(java.lang.String _downControlClass)

    - #### getDownControlLabel

          public java.lang.String getDownControlLabel()

    - #### setDownControlLabel

          public void setDownControlLabel(java.lang.String _downControlLabel)

    - #### getDownTitle

          public java.lang.String getDownTitle()

    - #### setDownTitle

          public void setDownTitle(java.lang.String _downTitle)

    - #### isFastMoveControlsVisible

          public boolean isFastMoveControlsVisible()

      Specified by:
        `isFastMoveControlsVisible` in class `UIListShuttle`

    - #### setFastMoveControlsVisible

          public void setFastMoveControlsVisible(boolean _fastMoveControlsVisible)

      Specified by:
        `setFastMoveControlsVisible` in class `UIListShuttle`

    - #### isFastOrderControlsVisible

          public boolean isFastOrderControlsVisible()

      Specified by:
        `isFastOrderControlsVisible` in class `UIListShuttle`

    - #### setFastOrderControlsVisible

          public void setFastOrderControlsVisible(boolean _fastOrderControlsVisible)

      Specified by:
        `setFastOrderControlsVisible` in class `UIListShuttle`

    - #### isImmediate

          public boolean isImmediate()

    - #### setImmediate

          public void setImmediate(boolean _immediate)

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String _label)

    - #### getListClass

          public java.lang.String getListClass()

      Specified by:
        `getListClass` in class `UIListShuttle`

    - #### setListClass

          public void setListClass(java.lang.String _listClass)

      Specified by:
        `setListClass` in class `UIListShuttle`

    - #### getListsHeight

          public java.lang.String getListsHeight()

    - #### setListsHeight

          public void setListsHeight(java.lang.String _listsHeight)

    - #### isMoveControlsVisible

          public boolean isMoveControlsVisible()

      Specified by:
        `isMoveControlsVisible` in class `UIListShuttle`

    - #### setMoveControlsVisible

          public void setMoveControlsVisible(boolean _moveControlsVisible)

      Specified by:
        `setMoveControlsVisible` in class `UIListShuttle`

    - #### getOnblur

          public java.lang.String getOnblur()

    - #### setOnblur

          public void setOnblur(java.lang.String _onblur)

    - #### getOnbottomclick

          public java.lang.String getOnbottomclick()

    - #### setOnbottomclick

          public void setOnbottomclick(java.lang.String _onbottomclick)

    - #### getOnchange

          public java.lang.String getOnchange()

    - #### setOnchange

          public void setOnchange(java.lang.String _onchange)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOncopyallclick

          public java.lang.String getOncopyallclick()

    - #### setOncopyallclick

          public void setOncopyallclick(java.lang.String _oncopyallclick)

    - #### getOncopyclick

          public java.lang.String getOncopyclick()

    - #### setOncopyclick

          public void setOncopyclick(java.lang.String _oncopyclick)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOndownclick

          public java.lang.String getOndownclick()

    - #### setOndownclick

          public void setOndownclick(java.lang.String _ondownclick)

    - #### getOnfocus

          public java.lang.String getOnfocus()

    - #### setOnfocus

          public void setOnfocus(java.lang.String _onfocus)

    - #### getOnlistchange

          public java.lang.String getOnlistchange()

    - #### setOnlistchange

          public void setOnlistchange(java.lang.String _onlistchange)

    - #### getOnlistchanged

          public java.lang.String getOnlistchanged()

    - #### setOnlistchanged

          public void setOnlistchanged(java.lang.String _onlistchanged)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnorderchange

          public java.lang.String getOnorderchange()

    - #### setOnorderchange

          public void setOnorderchange(java.lang.String _onorderchange)

    - #### getOnorderchanged

          public java.lang.String getOnorderchanged()

    - #### setOnorderchanged

          public void setOnorderchanged(java.lang.String _onorderchanged)

    - #### getOnremoveallclick

          public java.lang.String getOnremoveallclick()

    - #### setOnremoveallclick

          public void setOnremoveallclick(java.lang.String _onremoveallclick)

    - #### getOnremoveclick

          public java.lang.String getOnremoveclick()

    - #### setOnremoveclick

          public void setOnremoveclick(java.lang.String _onremoveclick)

    - #### getOntopclick

          public java.lang.String getOntopclick()

    - #### setOntopclick

          public void setOntopclick(java.lang.String _ontopclick)

    - #### getOnupclick

          public java.lang.String getOnupclick()

    - #### setOnupclick

          public void setOnupclick(java.lang.String _onupclick)

    - #### isOrderControlsVisible

          public boolean isOrderControlsVisible()

      Specified by:
        `isOrderControlsVisible` in class `UIListShuttle`

    - #### setOrderControlsVisible

          public void setOrderControlsVisible(boolean _orderControlsVisible)

      Specified by:
        `setOrderControlsVisible` in class `UIListShuttle`

    - #### getRemoveAllControlClass

          public java.lang.String getRemoveAllControlClass()

    - #### setRemoveAllControlClass

          public void setRemoveAllControlClass(java.lang.String _removeAllControlClass)

    - #### getRemoveAllControlLabel

          public java.lang.String getRemoveAllControlLabel()

    - #### setRemoveAllControlLabel

          public void setRemoveAllControlLabel(java.lang.String _removeAllControlLabel)

    - #### getRemoveAllTitle

          public java.lang.String getRemoveAllTitle()

    - #### setRemoveAllTitle

          public void setRemoveAllTitle(java.lang.String _removeAllTitle)

    - #### getRemoveControlClass

          public java.lang.String getRemoveControlClass()

    - #### setRemoveControlClass

          public void setRemoveControlClass(java.lang.String _removeControlClass)

    - #### getRemoveControlLabel

          public java.lang.String getRemoveControlLabel()

    - #### setRemoveControlLabel

          public void setRemoveControlLabel(java.lang.String _removeControlLabel)

    - #### getRemoveTitle

          public java.lang.String getRemoveTitle()

    - #### setRemoveTitle

          public void setRemoveTitle(java.lang.String _removeTitle)

    - #### isRequired

          public boolean isRequired()

    - #### setRequired

          public void setRequired(boolean _required)

    - #### getRequiredMessage

          public java.lang.String getRequiredMessage()

      Specified by:
        `getRequiredMessage` in class `UIOrderingBaseComponent`

    - #### setRequiredMessage

          public void setRequiredMessage(java.lang.String _requiredMessage)

      Specified by:
        `setRequiredMessage` in class `UIOrderingBaseComponent`

    - #### getRowClasses

          public java.lang.String getRowClasses()

    - #### setRowClasses

          public void setRowClasses(java.lang.String _rowClasses)

    - #### isShowButtonLabels

          public boolean isShowButtonLabels()

    - #### setShowButtonLabels

          public void setShowButtonLabels(boolean _showButtonLabels)

    - #### getSourceCaptionLabel

          public java.lang.String getSourceCaptionLabel()

      Specified by:
        `getSourceCaptionLabel` in class `UIListShuttle`

    - #### setSourceCaptionLabel

          public void setSourceCaptionLabel(java.lang.String _sourceCaptionLabel)

      Specified by:
        `setSourceCaptionLabel` in class `UIListShuttle`

    - #### getSourceListWidth

          public java.lang.String getSourceListWidth()

    - #### setSourceListWidth

          public void setSourceListWidth(java.lang.String _sourceListWidth)

    - #### isSourceRequired

          public boolean isSourceRequired()

      Specified by:
        `isSourceRequired` in class `UIListShuttle`

    - #### setSourceRequired

          public void setSourceRequired(boolean _sourceRequired)

      Specified by:
        `setSourceRequired` in class `UIListShuttle`

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### isSwitchByClick

          public boolean isSwitchByClick()

    - #### setSwitchByClick

          public void setSwitchByClick(boolean _switchByClick)

    - #### isSwitchByDblClick

          public boolean isSwitchByDblClick()

    - #### setSwitchByDblClick

          public void setSwitchByDblClick(boolean _switchByDblClick)

    - #### getTargetCaptionLabel

          public java.lang.String getTargetCaptionLabel()

      Specified by:
        `getTargetCaptionLabel` in class `UIListShuttle`

    - #### setTargetCaptionLabel

          public void setTargetCaptionLabel(java.lang.String _targetCaptionLabel)

      Specified by:
        `setTargetCaptionLabel` in class `UIListShuttle`

    - #### getTargetListWidth

          public java.lang.String getTargetListWidth()

    - #### setTargetListWidth

          public void setTargetListWidth(java.lang.String _targetListWidth)

    - #### isTargetRequired

          public boolean isTargetRequired()

      Specified by:
        `isTargetRequired` in class `UIListShuttle`

    - #### setTargetRequired

          public void setTargetRequired(boolean _targetRequired)

      Specified by:
        `setTargetRequired` in class `UIListShuttle`

    - #### getTopControlClass

          public java.lang.String getTopControlClass()

    - #### setTopControlClass

          public void setTopControlClass(java.lang.String _topControlClass)

    - #### getTopControlLabel

          public java.lang.String getTopControlLabel()

    - #### setTopControlLabel

          public void setTopControlLabel(java.lang.String _topControlLabel)

    - #### getTopTitle

          public java.lang.String getTopTitle()

    - #### setTopTitle

          public void setTopTitle(java.lang.String _topTitle)

    - #### getUpControlClass

          public java.lang.String getUpControlClass()

    - #### setUpControlClass

          public void setUpControlClass(java.lang.String _upControlClass)

    - #### getUpControlLabel

          public java.lang.String getUpControlLabel()

    - #### setUpControlLabel

          public void setUpControlLabel(java.lang.String _upControlLabel)

    - #### getUpTitle

          public java.lang.String getUpTitle()

    - #### setUpTitle

          public void setUpTitle(java.lang.String _upTitle)

    - #### isValid

          public boolean isValid()

    - #### setValid

          public void setValid(boolean _valid)

    - #### getValidatorMessage

          public java.lang.String getValidatorMessage()

    - #### setValidatorMessage

          public void setValidatorMessage(java.lang.String _validatorMessage)

    - #### getValueChangeListener

          public javax.faces.el.MethodBinding getValueChangeListener()

      Specified by:
        `getValueChangeListener` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `getValueChangeListener` in class `UIListShuttle`

    - #### setValueChangeListener

          public void setValueChangeListener(javax.faces.el.MethodBinding _valueChangeListener)

      Specified by:
        `setValueChangeListener` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `setValueChangeListener` in class `UIListShuttle`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `UIListShuttle`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `UIListShuttle`

Copyright © 2014. All Rights Reserved.